Difference between revisions of "MacOS"

From GnuCash
Jump to: navigation, search
(Try again, this time with links to other content)
(Explaining Apple OS nomenclature and wiki usage)
Line 1: Line 1:
MacOS is an operating system developed by Apple Computer for Mac computers. It used to be known as "Mac OS X", and that name persists in many pages of the GnuCash documentation.
+
MacOS is an operating system developed by Apple Computer for Mac computers. It has been known variously over the years as "Mac OS X," "OS X," and the current "macOS." When discussing the system in general, "macOS" will be used; for references to specific versions of macOS, the form in use for that version will be used whenever possible.
  
== How to get GnuCash for MacOS ==
+
== How to get GnuCash for macOS ==
  
 
* [http://downloads.sourceforge.net/sourceforge/gnucash/Gnucash-Intel-{{MacosPackage}}.dmg Gnucash-Intel-{{Version}}],
 
* [http://downloads.sourceforge.net/sourceforge/gnucash/Gnucash-Intel-{{MacosPackage}}.dmg Gnucash-Intel-{{Version}}],
Line 7: Line 7:
 
* [http://downloads.sourceforge.net/sourceforge/gnucash/Gnucash-PPC-{{MacosFallbackPackage}}.dmg Gnucash-PPC-{{FallbackVersion}}]  are now available as binary downloads from the [http://sourceforge.net/projects/gnucash/files/ Gnucash project at Sourceforge].''  
 
* [http://downloads.sourceforge.net/sourceforge/gnucash/Gnucash-PPC-{{MacosFallbackPackage}}.dmg Gnucash-PPC-{{FallbackVersion}}]  are now available as binary downloads from the [http://sourceforge.net/projects/gnucash/files/ Gnucash project at Sourceforge].''  
 
;Release notes: are included in the disk-image.  
 
;Release notes: are included in the disk-image.  
;Important:GnuCash 2.6.21 is the last version that supports Mac OS X 10.8 and earlier, and so the last version that will run on PowerPC Macs.
+
;Important:GnuCash 2.6.21 is the last version that supports OS X 10.8 (Mountain Lion) and earlier, and is the last version that will run on PowerPC Macs.
:''Mac OS X 10.9 (Mavericks) or higher'' is '''required''' to run Gnucash-3.0 and later.
+
:''OS X 10.9 (Mavericks) or higher'' is '''required''' to run Gnucash-3.0 and later.
 
'''For virtually all users it is more appropriate to download the binary rather than to use the procedure described here.'''
 
'''For virtually all users it is more appropriate to download the binary rather than to use the procedure described here.'''
  
Line 20: Line 20:
 
* [[Configuration Diagrams - MacOS]] shows where GnuCash puts configuration files within the MacOS directory structure. See also [[Configuration Locations]] for information applicable to all operating systems.
 
* [[Configuration Diagrams - MacOS]] shows where GnuCash puts configuration files within the MacOS directory structure. See also [[Configuration Locations]] for information applicable to all operating systems.
  
== Developing MacOS versions of GnuCash ==
+
== Developing macOS versions of GnuCash ==
* [[MacOS/Quartz]], mostly about compiling GnuCash to run on the native "Quartz" UI of MacOS.
+
* [[MacOS/Quartz]], mostly about compiling GnuCash to run on the native "Quartz" UI of macOS.
* [https://bugs.gnucash.org/buglist.cgi?component=MacOS&list_id=4633&product=Packaging&resolution=--- GnuCash bug category related to MacOS packaging]
+
* [https://bugs.gnucash.org/buglist.cgi?component=MacOS&list_id=4633&product=Packaging&resolution=--- GnuCash bug category related to macOS packaging]

Revision as of 09:59, 27 June 2019

MacOS is an operating system developed by Apple Computer for Mac computers. It has been known variously over the years as "Mac OS X," "OS X," and the current "macOS." When discussing the system in general, "macOS" will be used; for references to specific versions of macOS, the form in use for that version will be used whenever possible.

How to get GnuCash for macOS

Headline text

4.11-1.dmg Gnucash-Intel-4.11],

Release notes
are included in the disk-image.
Important
GnuCash 2.6.21 is the last version that supports OS X 10.8 (Mountain Lion) and earlier, and is the last version that will run on PowerPC Macs.
OS X 10.9 (Mavericks) or higher is required to run Gnucash-3.0 and later.

For virtually all users it is more appropriate to download the binary rather than to use the procedure described here.

More instructions at MacOS Installation.

MacOS-specific instructions and tips for using GnuCash

Developing macOS versions of GnuCash